Index: code/branches/presentationFS16/src/orxonox/controllers/AIController.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/controllers/AIController.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/controllers/AIController.cc	(revision 11208)
@@ -197,5 +197,5 @@
                     if (this->bHasTargetPosition_)
                         this->moveToTargetPosition();
-                    this->doFire();
+                    this->doPush();
                 }
 
@@ -227,5 +227,5 @@
                     this->moveToTargetPosition();
 
-                    this->doFire();
+                    this->doPush();
             }
         }
@@ -241,5 +241,5 @@
                     if((timeout_< 0)||(!target_))//Check if the timeout is over or target died.
                     {
-                       controllable->fire(0);//kill the rocket
+                       controllable->push(0);//kill the rocket
                        this->setPreviousMode();//get out of rocket mode
                     }
Index: code/branches/presentationFS16/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/controllers/ArtificialController.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/controllers/ArtificialController.cc	(revision 11208)
@@ -132,5 +132,5 @@
         @brief DoFire is called when a bot should shoot and decides which weapon is used and whether the bot shoots at all.
     */
-    void ArtificialController::doFire()
+    void ArtificialController::doPush()
     {
         if(!this->bSetupWorked)//setup: find out which weapons are active ! hard coded: laser is "0", lens flare is "1", ...
@@ -144,10 +144,10 @@
             if (this->isCloseAtTarget(130) && (firemode = getFiremode("LightningGun")) > -1 )
             {//LENSFLARE: short range weapon
-                this->getControllableEntity()->fire(firemode); //ai uses lens flare if they're close enough to the target
+                this->getControllableEntity()->push(firemode); //ai uses lens flare if they're close enough to the target
             }
             else if( this->isCloseAtTarget(400) && (random < this->botlevel_) && (firemode = getFiremode("RocketFire")) > -1 )
             {//ROCKET: mid range weapon
                 this->mode_ = ROCKET; //Vector-implementation: mode_.push_back(ROCKET);
-                this->getControllableEntity()->fire(firemode); //launch rocket
+                this->getControllableEntity()->push(firemode); //launch rocket
                 if(this->getControllableEntity() && this->target_) //after fire(3) is called, getControllableEntity() refers to the rocket!
                 {
@@ -161,5 +161,5 @@
             }
             else if ((firemode = getFiremode("HsW01")) > -1 ) //LASER: default weapon
-                this->getControllableEntity()->fire(firemode);
+                this->getControllableEntity()->push(firemode);
         }
     }
Index: code/branches/presentationFS16/src/orxonox/controllers/ArtificialController.h
===================================================================
--- code/branches/presentationFS16/src/orxonox/controllers/ArtificialController.h	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/controllers/ArtificialController.h	(revision 11208)
@@ -48,5 +48,5 @@
             virtual void changedControllableEntity() override;
 
-            virtual void doFire();
+            virtual void doPush();
             void setBotLevel(float level=1.0f);
             inline float getBotLevel() const
Index: code/branches/presentationFS16/src/orxonox/controllers/DroneController.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/controllers/DroneController.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/controllers/DroneController.cc	(revision 11208)
@@ -130,5 +130,5 @@
                        this->aimAtTarget();
                        if(!this->friendlyFire())
-                           this->getDrone()->fire(0);
+                           this->getDrone()->push(0);
                     }
                }
Index: code/branches/presentationFS16/src/orxonox/controllers/FightingController.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/controllers/FightingController.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/controllers/FightingController.cc	(revision 11208)
@@ -318,5 +318,5 @@
         }
               
-        this->getControllableEntity()->fire(firemode);
+        this->getControllableEntity()->push(firemode);
         
     }
Index: code/branches/presentationFS16/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/controllers/HumanController.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/controllers/HumanController.cc	(revision 11208)
@@ -40,6 +40,7 @@
 namespace orxonox
 {
-    extern const std::string __CC_fire_name = "fire";
+    extern const std::string __CC_push_name = "push";
     extern const std::string __CC_suicide_name = "suicide";
+    extern const std::string __CC_release_name = "release";
 
     SetConsoleCommand("HumanController", "moveFrontBack",          &HumanController::moveFrontBack ).addShortcut().setAsInputCommand();
@@ -51,5 +52,6 @@
     SetConsoleCommand("HumanController", "toggleFormationFlight",  &HumanController::toggleFormationFlight).addShortcut().keybindMode(KeybindMode::OnPress);
     SetConsoleCommand("HumanController", "FFChangeMode",           &HumanController::FFChangeMode).addShortcut().keybindMode(KeybindMode::OnPress);
-    SetConsoleCommand("HumanController", __CC_fire_name,           &HumanController::fire          ).addShortcut().keybindMode(KeybindMode::OnHold);
+    SetConsoleCommand("HumanController", __CC_push_name,           &HumanController::push          ).addShortcut().keybindMode(KeybindMode::OnHold);
+    SetConsoleCommand("HumanController", __CC_release_name,        &HumanController::release       ).addShortcut().keybindMode(KeybindMode::OnRelease);
     SetConsoleCommand("HumanController", "reload",                 &HumanController::reload        ).addShortcut();
     SetConsoleCommand("HumanController", "boost",                  &HumanController::boost         ).addShortcut().setAsInputCommand().keybindMode(KeybindMode::OnPressAndRelease);
@@ -155,16 +157,35 @@
     }
 
-    void HumanController::fire(unsigned int firemode)
-    {
-        if (HumanController::localController_s)
-            HumanController::localController_s->doFire(firemode);
-    }
-
-    void HumanController::doFire(unsigned int firemode)
-    {
-        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
-        {
-            HumanController::localController_s->controllableEntity_->fire(firemode);
+    void HumanController::push(unsigned int firemode)
+    {
+        if (HumanController::localController_s)
+            HumanController::localController_s->doPush(firemode);
+    }
+
+    void HumanController::doPush(unsigned int firemode)
+    {
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+        {
+            HumanController::localController_s->controllableEntity_->push(firemode);
             //if human fires, set slaves free. See FormationController::forceFreeSlaves()
+            if (HumanController::localController_s->state_==MASTER && HumanController::localController_s->formationMode_ == NORMAL)
+            {
+                HumanController::localController_s->forceFreeSlaves();
+            }
+        }
+    }
+
+    void HumanController::release(unsigned int firemode)
+    {
+        if (HumanController::localController_s)
+            HumanController::localController_s->doRelease(firemode);
+    }
+
+    void HumanController::doRelease(unsigned int firemode)
+    {
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+        {
+            HumanController::localController_s->controllableEntity_->release(firemode);
+            //if human releases, set slaves free. See FormationController::forceFreeSlaves()
             if (HumanController::localController_s->state_==MASTER && HumanController::localController_s->formationMode_ == NORMAL)
             {
Index: code/branches/presentationFS16/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/presentationFS16/src/orxonox/controllers/HumanController.h	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/controllers/HumanController.h	(revision 11208)
@@ -61,6 +61,8 @@
             virtual void pitch(const Vector2& value);
 
-            static void fire(unsigned int firemode);
-            virtual void doFire(unsigned int firemode);
+            static void push(unsigned int firemode);
+            virtual void doPush(unsigned int firemode);
+            static void release(unsigned int firemode);
+            virtual void doRelease(unsigned int firemode);
             static void reload();
 
Index: code/branches/presentationFS16/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/controllers/NewHumanController.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/controllers/NewHumanController.cc	(revision 11208)
@@ -54,5 +54,4 @@
     SetConsoleCommand("NewHumanController", "accelerate", &NewHumanController::accelerate).keybindMode(KeybindMode::OnPress);
     SetConsoleCommand("NewHumanController", "decelerate", &NewHumanController::decelerate).keybindMode(KeybindMode::OnPress);
-    SetConsoleCommand("NewHumanController", "unfire",     &NewHumanController::unfire    ).keybindMode(KeybindMode::OnRelease).addShortcut();
 
     RegisterUnloadableClass(NewHumanController);
@@ -277,5 +276,5 @@
     }
 
-    void NewHumanController::doFire(unsigned int firemode)
+    void NewHumanController::doPush(unsigned int firemode)
     {
         if (!this->controllableEntity_)
@@ -291,5 +290,17 @@
         }
         else
-            HumanController::doFire(firemode); //call for formationflight
+        {
+            HumanController::doPush(firemode); //call for formationflight
+        }
+    }
+
+    void NewHumanController::doRelease(unsigned int firemode)
+    {
+        if (!this->controllableEntity_)
+            return;
+
+        this->firemode_ = firemode;
+
+        HumanController::doRelease(firemode); //call for formationflight
     }
 
@@ -342,16 +353,4 @@
             }
         }
-    }
-
-    void NewHumanController::unfire()
-    {
-        if (NewHumanController::localController_s)
-            NewHumanController::localController_s->doUnfire();
-    }
-
-    void NewHumanController::doUnfire()
-    {
-        this->firemode_ = -1;
-        hideArrows();
     }
 
Index: code/branches/presentationFS16/src/orxonox/controllers/NewHumanController.h
===================================================================
--- code/branches/presentationFS16/src/orxonox/controllers/NewHumanController.h	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/controllers/NewHumanController.h	(revision 11208)
@@ -54,10 +54,8 @@
             static void decelerate();
 
-            virtual void doFire(unsigned int firemode) override;
+            virtual void doPush(unsigned int firemode) override;
+            virtual void doRelease(unsigned int firemode) override;
 
             virtual void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage) override;
-
-            static void unfire();
-            virtual void doUnfire();
 
             void centerCursor();
Index: code/branches/presentationFS16/src/orxonox/controllers/WaypointPatrolController.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/controllers/WaypointPatrolController.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/controllers/WaypointPatrolController.cc	(revision 11208)
@@ -69,5 +69,5 @@
 
             if (this->getControllableEntity() && this->isCloseAtTarget(this->attackradius_) && this->isLookingAtTarget(math::pi / 20.0f))
-                this->getControllableEntity()->fire(0);
+                this->getControllableEntity()->push(0);
         }
         else
Index: code/branches/presentationFS16/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/weaponsystem/Weapon.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/weaponsystem/Weapon.cc	(revision 11208)
@@ -99,5 +99,5 @@
         Fire this Weapon with the the WeaponMode defined by @param mode
     */
-    void Weapon::fire(unsigned int mode)
+    void Weapon::push(unsigned int mode)
     {
         // To avoid firing with more than one mode at the same time, we lock the weapon (reloading) for
@@ -114,4 +114,6 @@
         // Note: The reloading of each WeaponMode is internally handled by each A, B and C.
         //       The reloading of the weapon is only performed to avoid firing with different modes at the same time.
+   
+   
         if (this->bReloading_ && this->reloadingWeaponmode_ != mode)
             return;
@@ -123,5 +125,27 @@
         {
             float reloading_time = 0;
-            if (it->second->fire(&reloading_time))
+            if (it->second->push(&reloading_time))
+            {
+                this->bReloading_ = true;
+                this->reloadingWeaponmode_ = mode;
+
+                this->reloadTimer_.setInterval(reloading_time);
+                this->reloadTimer_.startTimer();
+            }
+        }
+    }
+
+    void Weapon::release(unsigned int mode)
+    {
+        if (this->bReloading_ && this->reloadingWeaponmode_ != mode)
+            return;
+
+        std::multimap<unsigned int, WeaponMode*>::iterator start = this->weaponmodes_.lower_bound(mode);
+        std::multimap<unsigned int, WeaponMode*>::iterator end   = this->weaponmodes_.upper_bound(mode);
+
+        for (std::multimap<unsigned int, WeaponMode*>::iterator it = start; it != end; ++it)
+        {
+            float reloading_time = 0;
+            if (it->second->release(&reloading_time))
             {
                 this->bReloading_ = true;
Index: code/branches/presentationFS16/src/orxonox/weaponsystem/Weapon.h
===================================================================
--- code/branches/presentationFS16/src/orxonox/weaponsystem/Weapon.h	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/weaponsystem/Weapon.h	(revision 11208)
@@ -52,5 +52,6 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            void fire(unsigned int mode);
+            void push(unsigned int mode);
+            void release(unsigned int mode);
             void reload();
 
Index: code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponMode.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponMode.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponMode.cc	(revision 11208)
@@ -24,5 +24,5 @@
  *      Fabian 'x3n' Landau
  *   Co-authors:
- *      ...
+ *      Johannes Sager
  *
  */
@@ -63,4 +63,7 @@
         this->bAutoReload_ = true;
         this->bParallelReload_ = true;
+        this->chargeable_ = false;              // most weapons are not chargeable
+        this->charges_ = 0;                     // always start with no charges
+        this->maxCharges_ = 100;                // default maximum charges one can have are 100
 
         this->reloadTimer_.setTimer(0.0f, false, createExecutor(createFunctor(&WeaponMode::reloaded, this)));
@@ -121,5 +124,4 @@
     {
         (*reloadTime) = this->reloadTime_;
-        
         // Fireing is only possible if this weapon mode is not reloading and there is enough munition
         if (!this->bReloading_ && this->munition_ && this->munition_->takeMunition(this->munitionPerShot_, this))
@@ -169,4 +171,34 @@
     }
 
+    bool WeaponMode::push(float* reloadTime)
+    {
+
+        if( this->chargeable_)                                                                                                          // chargeable weapons are supposed to charge on push
+        {
+            this->munition_ = this->weapon_->getWeaponPack()->getWeaponSystem()->getMunition(&this->munitiontype_);                     // updates the pointer to the munition(which we use in the next step)
+            if(this->charges_ < this->maxCharges_ && this->bReloading_ == false && this->munition_->canTakeMunition(1, this))           // charges up unless:
+            {                                                                                                                           // - we are fully charged
+                this->charges_ += 1;                                                                                                    // - we are reloading
+            }                                                                                                                           // - we have no munition
+            return false;
+        }
+        else                                                                                                                            // normal (not chargeable) weapons are supposed to fire on push
+        {
+            return fire(reloadTime);
+        }
+    }
+
+    bool WeaponMode::release(float* reloadTime)                 
+    {
+        if( this->chargeable_)                                                                                                          // chargeable weapons are supposed to fire on release
+        { 
+            return fire(reloadTime);
+        }
+        else                                                                                                                            // normal (not chargeable) weapons should do nothing on release
+        {
+            return false;
+        }
+    }
+
     bool WeaponMode::reload()
     {
Index: code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponMode.h
===================================================================
--- code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponMode.h	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponMode.h	(revision 11208)
@@ -24,5 +24,5 @@
  *      Fabian 'x3n' Landau
  *   Co-authors:
- *      ...
+ *      Johannes Sager
  *
  */
@@ -45,5 +45,7 @@
     /**
     @brief
-        A WeaponMode defines how a Weapon is used. It specifies what kind of @ref orxonox::Projectile is created when you fire it, how much time it takes to reload, what sound you hear while shooting, how much damage the projectile deals to a target, ...
+        A WeaponMode defines how a Weapon is used. It specifies what kind of
+        @ref orxonox::Projectile is created when you fire it, how much time it takes to reload,
+        what sound you hear while shooting, how much damage the projectile deals to a target, ...
     */
     class _OrxonoxExport WeaponMode : public BaseObject
@@ -55,4 +57,6 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
+            virtual bool push(float* reloadTime);
+            virtual bool release(float* reloadTime);
             virtual bool fire(float* reloadTime);
             bool reload();
@@ -106,4 +110,10 @@
 
             // Fire
+            inline unsigned int getMaxCharges()                 // get the maximum of charges one can have
+                { return this->maxCharges_;}
+            inline unsigned int getCharges()                    // get the current amount of charges
+                { return this->charges_;}
+            inline bool isChargeable()                          // returns if the weaponmode is chargeable
+                { return this->chargeable_;}
             inline void setDamage(float damage)
                 { this->damage_ = damage;}
@@ -166,8 +176,11 @@
             unsigned int initialMagazines_;
             unsigned int munitionPerShot_;
+            unsigned int charges_;                  // current amount of charges only matters for chargeable weapons(chargeable == true)
+            unsigned int maxCharges_;               // maximum amount of charges (is initialized with 100 in weaponmode.cc) only matters for chargeable weapons(chargeable == true)
 
             float reloadTime_;
-            bool bAutoReload_; // If true, the weapon reloads the magazine automatically.
-            bool bParallelReload_; // If true, the weapon reloads in parallel to the magazine reloading.
+            bool bAutoReload_;                      // If true, the weapon reloads the magazine automatically.
+            bool bParallelReload_;                  // If true, the weapon reloads in parallel to the magazine reloading.
+            bool chargeable_;                       // If true, the weapon charges up on push and fires on release
 
             float damage_;
@@ -189,14 +202,14 @@
 
             Timer reloadTimer_;
-            bool bReloading_; // If true, this weapon mode is marked as reloading.
+            bool bReloading_;                       // If true, this weapon mode is marked as reloading.
 
             Vector3 muzzlePosition_;
             Quaternion muzzleOrientation_;
 
-            std::string fireSoundPath_; // The path of the sound played when fireing
-            float fireSoundVolume_; // The volume of the sound played when fireing
-            std::vector<WorldSound*> fireSounds_; // List of sounds used by the weapon mode. Because multiple sounds may overlap, we need mor than one WorldSound instance.
-            std::string reloadSoundPath_; // The path of the sound played when reloading
-            float reloadSoundVolume_; // The volume of the sound played when reloading
+            std::string fireSoundPath_;             // The path of the sound played when fireing
+            float fireSoundVolume_;                 // The volume of the sound played when fireing
+            std::vector<WorldSound*> fireSounds_;   // List of sounds used by the weapon mode. Because multiple sounds may overlap, we need mor than one WorldSound instance.
+            std::string reloadSoundPath_;           // The path of the sound played when reloading
+            float reloadSoundVolume_;               // The volume of the sound played when reloading
             WorldSound* reloadSound_;
     };
Index: code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponPack.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponPack.cc	(revision 11208)
@@ -74,8 +74,14 @@
         Fire all weapons in this WeaponSet with the defined weaponmode.
     */
-    void WeaponPack::fire(unsigned int weaponmode)
+    void WeaponPack::push(unsigned int weaponmode)
     {
         for (Weapon* weapon : this->weapons_)
-            weapon->fire(weaponmode);
+            weapon->push(weaponmode);
+    }
+
+    void WeaponPack::release(unsigned int weaponmode)
+    {
+        for (Weapon* weapon : this->weapons_)
+            weapon->release(weaponmode);
     }
 
Index: code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponPack.h
===================================================================
--- code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponPack.h	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponPack.h	(revision 11208)
@@ -46,5 +46,6 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            void fire(unsigned int weaponmode);
+            void push(unsigned int weaponmode);
+            void release(unsigned int weaponmode);
             void reload();
 
Index: code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSet.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSet.cc	(revision 11208)
@@ -60,10 +60,18 @@
     }
 
-    void WeaponSet::fire()
+    void WeaponSet::push()
     {
         // Fire all WeaponPacks with their defined weaponmode
         for (const auto& mapEntry : this->weaponpacks_)
             if (mapEntry.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
-                mapEntry.first->fire(mapEntry.second);
+                mapEntry.first->push(mapEntry.second);
+    }
+
+    void WeaponSet::release()
+    {
+        // Fire all WeaponPacks with their defined weaponmode
+        for (const auto& mapEntry : this->weaponpacks_)
+            if (mapEntry.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
+                mapEntry.first->release(mapEntry.second);
     }
 
Index: code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSet.h
===================================================================
--- code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSet.h	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSet.h	(revision 11208)
@@ -46,5 +46,6 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            void fire();
+            void push();
+            void release();
             void reload();
 
Index: code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11208)
@@ -287,9 +287,16 @@
         Fires the @ref orxonox::WeaponSet with the specified firemode.
     */
-    void WeaponSystem::fire(unsigned int firemode)
+    void WeaponSystem::push(unsigned int firemode)
     {
         std::map<unsigned int, WeaponSet *>::iterator it = this->weaponSets_.find(firemode);
         if (it != this->weaponSets_.end() && it->second)
-            it->second->fire();
+            it->second->push();
+    }
+
+    void WeaponSystem::release(unsigned int firemode)
+    {
+        std::map<unsigned int, WeaponSet *>::iterator it = this->weaponSets_.find(firemode);
+        if (it != this->weaponSets_.end() && it->second)
+            it->second->release();
     }
 
Index: code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSystem.h
===================================================================
--- code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSystem.h	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/weaponsystem/WeaponSystem.h	(revision 11208)
@@ -76,5 +76,6 @@
             void changeWeaponmode(WeaponPack * wPack, WeaponSet * wSet, unsigned int weaponmode);
 
-            void fire(unsigned int firemode);
+            void push(unsigned int firemode);
+            void release(unsigned int firemode);
             void reload();
 
Index: code/branches/presentationFS16/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/worldentities/ControllableEntity.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/worldentities/ControllableEntity.cc	(revision 11208)
@@ -49,5 +49,5 @@
     RegisterClass(ControllableEntity);
 
-    registerMemberNetworkFunction( ControllableEntity, fire );
+    registerMemberNetworkFunction( ControllableEntity, push );
     registerMemberNetworkFunction( ControllableEntity, setTargetInternal );
 
@@ -299,13 +299,25 @@
     }
 
-    void ControllableEntity::fire(unsigned int firemode)
+    void ControllableEntity::push(unsigned int firemode)
     {
         if(GameMode::isMaster())
         {
-            this->fired(firemode);
+            this->pushed(firemode);
         }
         else
         {
-            callMemberNetworkFunction(&ControllableEntity::fire, this->getObjectID(), 0, firemode);
+            callMemberNetworkFunction(&ControllableEntity::push, this->getObjectID(), 0, firemode);
+        }
+    }
+
+    void ControllableEntity::release(unsigned int firemode)
+    {
+        if(GameMode::isMaster())
+        {
+            this->released(firemode);
+        }
+        else
+        {
+            callMemberNetworkFunction(&ControllableEntity::release, this->getObjectID(), 0, firemode);
         }
     }
Index: code/branches/presentationFS16/src/orxonox/worldentities/ControllableEntity.h
===================================================================
--- code/branches/presentationFS16/src/orxonox/worldentities/ControllableEntity.h	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/worldentities/ControllableEntity.h	(revision 11208)
@@ -96,6 +96,8 @@
                 { this->rotateRoll(Vector2(value, 0)); }
 
-            void fire(unsigned int firemode);
-            virtual void fired(unsigned int firemode) {}
+            void push(unsigned int firemode);
+            void release(unsigned int firemode);
+            virtual void pushed(unsigned int firemode) {}
+            virtual void released(unsigned int firemode) {}
             virtual void reload() {}
 
Index: code/branches/presentationFS16/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11208)
@@ -432,8 +432,14 @@
     */
 
-    void Pawn::fired(unsigned int firemode)
-    {
-        if (this->weaponSystem_)
-            this->weaponSystem_->fire(firemode);
+    void Pawn::pushed(unsigned int firemode)
+    {
+        if (this->weaponSystem_)
+            this->weaponSystem_->push(firemode);
+    }
+
+    void Pawn::released(unsigned int firemode)
+    {
+        if (this->weaponSystem_)
+            this->weaponSystem_->release(firemode);
     }
 
Index: code/branches/presentationFS16/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/presentationFS16/src/orxonox/worldentities/pawns/Pawn.h	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/worldentities/pawns/Pawn.h	(revision 11208)
@@ -157,5 +157,6 @@
             virtual void kill();
 
-            virtual void fired(unsigned int firemode) override;
+            virtual void pushed(unsigned int firemode) override;
+            virtual void released(unsigned int firemode) override;
             virtual void postSpawn();
 
Index: code/branches/presentationFS16/src/orxonox/worldentities/pawns/Spectator.cc
===================================================================
--- code/branches/presentationFS16/src/orxonox/worldentities/pawns/Spectator.cc	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/worldentities/pawns/Spectator.cc	(revision 11208)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    extern const std::string __CC_fire_name;
+    extern const std::string __CC_push_name;
     extern const std::string __CC_suicide_name;
 
@@ -162,5 +162,5 @@
 
         // change keybind mode of fire command to OnPress to avoid firing after respawn
-        ModifyConsoleCommand(__CC_fire_name).keybindMode(KeybindMode::OnPress);
+        ModifyConsoleCommand(__CC_push_name).keybindMode(KeybindMode::OnPress);
 
         // disable suicide
@@ -177,5 +177,5 @@
         // change fire command to a helper function and change keybind mode to OnPress
         // as soon as the player releases and presses the button again, the helper function will be called which changes the keybind mode back to OnHold
-        ModifyConsoleCommand(__CC_fire_name).pushFunction(&Spectator::resetFireCommand).keybindMode(KeybindMode::OnPress);
+        ModifyConsoleCommand(__CC_push_name).pushFunction(&Spectator::resetFireCommand).keybindMode(KeybindMode::OnPress);
 
         // enable suicide
@@ -188,7 +188,7 @@
     void Spectator::resetFireCommand(unsigned int firemode)
     {
-        ModifyConsoleCommand(__CC_fire_name).popFunction().keybindMode(KeybindMode::OnHold); // pop this helper function and change keybind mode
-
-        CommandExecutor::execute(__CC_fire_name + " " + multi_cast<std::string>(firemode)); // call the fire command again, this time with the real function
+        ModifyConsoleCommand(__CC_push_name).popFunction().keybindMode(KeybindMode::OnHold); // pop this helper function and change keybind mode
+
+        CommandExecutor::execute(__CC_push_name + " " + multi_cast<std::string>(firemode)); // call the fire command again, this time with the real function
     }
 
@@ -229,5 +229,5 @@
     }
 
-    void Spectator::fired(unsigned int firemode)
+    void Spectator::pushed(unsigned int firemode)
     {
         if (this->getPlayer())
Index: code/branches/presentationFS16/src/orxonox/worldentities/pawns/Spectator.h
===================================================================
--- code/branches/presentationFS16/src/orxonox/worldentities/pawns/Spectator.h	(revision 11207)
+++ code/branches/presentationFS16/src/orxonox/worldentities/pawns/Spectator.h	(revision 11208)
@@ -54,5 +54,5 @@
             virtual void rotateRoll(const Vector2& value);
 
-            virtual void fired(unsigned int firemode);
+            virtual void pushed(unsigned int firemode);
             virtual void greet();
             virtual void mouseLook() {}