Index: code/branches/presentationFS16/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/presentationFS16/data/gui/layouts/CampaignMenu.layout	(revision 11208)
+++ code/branches/presentationFS16/data/gui/layouts/CampaignMenu.layout	(revision 11209)
@@ -10,5 +10,5 @@
 
         <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
-            <Property Name="Text" Value="Mission One" />
+            <Property Name="Text" Value="New Spaceship/Weaponsystem" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -18,5 +18,5 @@
 
         <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
-            <Property Name="Text" Value="Fight in our Back" />
+            <Property Name="Text" Value="Hover" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -27,5 +27,5 @@
 
         <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Button" >
-            <Property Name="Text" Value="Pirate Attack" />
+            <Property Name="Text" Value="Script Controller" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/presentationFS16/data/levels/florin_johnny_presentation.oxw
===================================================================
--- code/branches/presentationFS16/data/levels/florin_johnny_presentation.oxw	(revision 11208)
+++ code/branches/presentationFS16/data/levels/florin_johnny_presentation.oxw	(revision 11209)
@@ -1,6 +1,6 @@
 <LevelInfo
- name = "Empty level"
- description = "A level with absolutely nothing in it."
- tags = "test"
+ name = "Testlevel for spaceshipfx112"
+ description = "Testlevel for spaceshipfx112"
+ tags = "mission"
  screenshot = "emptylevel.png"
 />
@@ -17,9 +17,23 @@
 ?>
 
-<Level>
+<Level
+ gametype     = "Mission"
+>
   <templates>
     <Template link=lodtemplate_default />
   </templates>
   <?lua include("includes/notifications.oxi") ?>
+
+  <NotificationQueueCEGUI
+    name="narrative"
+    targets="simpleNotification"
+    size=3
+    displayTime=3.9
+    position="0.2, 0, 0.1, 0"
+    fontSize="23"
+    fontColor="0.3, 1, 0.2, 0.8"
+    alignment="HorzCentred"
+    displaySize="0.6, 0, 0, 0"
+    />
 
   <Scene
@@ -29,25 +43,46 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipfx112 />
-<Model position=“0,0,0“ mesh="fx112.mesh" scale="3" />
+    <SpawnPoint team=0 position="0,300,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipfx112 />
+    <Model position=“0,0,0“ mesh="fx112.mesh" scale="3" />
 
-<SpaceShip position="300,0,0" lookat="0,0,0" team=3>
-    <templates>
-        <Template link=spaceshipfx112 />
-    </templates>
-    <controller>
-        <WaypointController accuracy=10 team=3>
-            <waypoints>
-                <Model mesh="cube.mesh" scale=8 position="300,0,0" />
-                <Model mesh="cube.mesh" scale=8 position="300,500,0" />
-                <Model mesh="cube.mesh" scale=8 position="0,500,0" />
-                <StaticEntity position="0,0,0" />
-            </waypoints>
-        </WaypointController>
-    </controller>
-</SpaceShip>
+    <SpaceShip position="0,0,300" lookat="0,0,0" team=3>
+        <templates>
+            <Template link=spaceshipfx112 />
+        </templates>
+        <controller>
+            <WaypointController accuracy=10 team=3>
+                <waypoints>
+                    <Model mesh="cube.mesh" scale=8 position="0,0,300" />
+                    <Model mesh="cube.mesh" scale=8 position="0,500,300" />
+                    <Model mesh="cube.mesh" scale=8 position="0,500,0" />
+                    <StaticEntity position="0,0,0" />
+                </waypoints>
+            </WaypointController>
+        </controller>
+    </SpaceShip>
 
-    
+
+    <Backlight position="300,0,0" frequency=0.6 amplitude=3 material="Flares/lensflare" colour="0,1,0"/>
+    <DistanceTrigger name="win" position="300,0,0" target="SpaceShip" distance=25 stayActive="true"/>
+
+    <Script code="Mission endMission true" onLoad="false">
+        <events>
+            <trigger>
+                <EventListener event="win" />
+            </trigger>
+        </events>
+    </Script>
+
+    <Backlight position="-300,0,0" frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,0,0"/>
+    <DistanceTrigger name="loose" position="-300,0,0" target="SpaceShip" distance=25 stayActive="true"/>
+
+    <Script code="Mission endMission false" onLoad="false">
+        <events>
+            <trigger>
+                <EventListener event="loose" />
+            </trigger>
+        </events>
+    </Script>
+
   </Scene>
 </Level>
-