Index: code/branches/ogre1.9/data/gui/schemes/TaharezGreenLook.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/TaharezGreenLook.scheme	(revision 11125)
+++ code/branches/ogre1.9/data/gui/schemes/TaharezGreenLook.scheme	(revision 11211)
@@ -1,53 +1,49 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="TaharezGreenLook">
-    <Imageset Name="TaharezGreenLook" Filename="TaharezGreenLook.imageset" />
-    <LookNFeel Filename="TaharezGreenLook.looknfeel" />
-    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
-
-    <!-- Standard widgets -->
-    <FalagardMapping WindowType="TaharezGreenLook/StaticImage"              TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="TaharezGreenLook/StaticImage" />
-    <FalagardMapping WindowType="TaharezGreenLook/StaticText"               TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="TaharezGreenLook/StaticText" />
-    <FalagardMapping WindowType="TaharezGreenLook/TabButtonPane"            TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezGreenLook/TabButtonPane" />
-    <FalagardMapping WindowType="TaharezGreenLook/TabContentPane"           TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezGreenLook/TabContentPane" />
-    <FalagardMapping WindowType="TaharezGreenLook/Checkbox"                 TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="TaharezGreenLook/Checkbox" />
-    <FalagardMapping WindowType="TaharezGreenLook/Combobox"                 TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="TaharezGreenLook/Combobox" />
-    <FalagardMapping WindowType="TaharezGreenLook/ComboDropList"            TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="TaharezGreenLook/ComboDropList" />
-    <FalagardMapping WindowType="TaharezGreenLook/ComboEditbox"             TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezGreenLook/ComboEditbox" />
-    <FalagardMapping WindowType="TaharezGreenLook/Editbox"                  TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezGreenLook/Editbox" />
-    <FalagardMapping WindowType="TaharezGreenLook/FrameWindow"              TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="TaharezGreenLook/FrameWindow" />
-    <FalagardMapping WindowType="TaharezGreenLook/GroupBox"                 TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezGreenLook/GroupBox" />
-    <FalagardMapping WindowType="TaharezGreenLook/ItemListbox"              TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezGreenLook/ItemListbox" />
-    <FalagardMapping WindowType="TaharezGreenLook/ListboxItem"              TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezGreenLook/ListboxItem" />
-    <FalagardMapping WindowType="TaharezGreenLook/Listbox"                  TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="TaharezGreenLook/Listbox" />
-    <FalagardMapping WindowType="TaharezGreenLook/ListHeader"               TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezGreenLook/ListHeader" />
-    <FalagardMapping WindowType="TaharezGreenLook/ListHeaderSegment"        TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezGreenLook/ListHeaderSegment" />
-    <FalagardMapping WindowType="TaharezGreenLook/MultiLineEditbox"         TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="TaharezGreenLook/MultiLineEditbox" />
-    <FalagardMapping WindowType="TaharezGreenLook/Menubar"                  TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="TaharezGreenLook/Menubar" />
-    <FalagardMapping WindowType="TaharezGreenLook/MenuItem"                 TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="TaharezGreenLook/MenuItem" />
-    <FalagardMapping WindowType="TaharezGreenLook/MultiColumnList"          TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezGreenLook/MultiColumnList" />
-    <FalagardMapping WindowType="TaharezGreenLook/PopupMenu"                TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="TaharezGreenLook/PopupMenu" />
-    <FalagardMapping WindowType="TaharezGreenLook/ProgressBar"              TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezGreenLook/ProgressBar" />
-    <FalagardMapping WindowType="TaharezGreenLook/Button"                   TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/Button" />
-    <FalagardMapping WindowType="TaharezGreenLook/ImageButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/ImageButton" />
-    <FalagardMapping WindowType="TaharezGreenLook/RadioButton"              TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="TaharezGreenLook/RadioButton" />
-    <FalagardMapping WindowType="TaharezGreenLook/SystemButton"             TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="TaharezGreenLook/Button" />
-    <FalagardMapping WindowType="TaharezGreenLook/ScrollablePane"           TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="TaharezGreenLook/ScrollablePane" />
-    <FalagardMapping WindowType="TaharezGreenLook/HorizontalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezGreenLook/HorizontalScrollbar" />
-    <FalagardMapping WindowType="TaharezGreenLook/VerticalScrollbar"        TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezGreenLook/VerticalScrollbar" />
-    <FalagardMapping WindowType="TaharezGreenLook/Slider"                   TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="TaharezGreenLook/Slider" />
-    <FalagardMapping WindowType="TaharezGreenLook/Spinner"                  TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="TaharezGreenLook/Spinner" />
-    <FalagardMapping WindowType="TaharezGreenLook/TabButton"                TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="TaharezGreenLook/TabButton" />
-    <FalagardMapping WindowType="TaharezGreenLook/TabControl"               TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="TaharezGreenLook/TabControl" />
-    <FalagardMapping WindowType="TaharezGreenLook/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/HorizontalScrollbarThumb" />
-    <FalagardMapping WindowType="TaharezGreenLook/SliderThumb"              TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/SliderThumb" />
-    <FalagardMapping WindowType="TaharezGreenLook/VerticalScrollbarThumb"   TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/VerticalScrollbarThumb" />
-    <FalagardMapping WindowType="TaharezGreenLook/Titlebar"                 TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="TaharezGreenLook/Titlebar" />
-    <FalagardMapping WindowType="TaharezGreenLook/Tooltip"                  TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="TaharezGreenLook/Tooltip" />
-    <FalagardMapping WindowType="TaharezGreenLook/Tree"                     TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezGreenLook/Tree" />
-
-    <!-- Additional widgets -->
-    <FalagardMapping WindowType="TaharezGreenLook/AlternateProgressBar"        TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezGreenLook/AltProgressBar" />
-    <FalagardMapping WindowType="TaharezGreenLook/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezGreenLook/VUMeter" />
-    <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezGreenLook/LargeVerticalScrollbar" />
-    <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/LargeVerticalScrollbarThumb" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="TaharezGreenLook" version="5">
+    <Imageset filename="TaharezGreenLook.imageset" name="TaharezGreenLook" />
+    <LookNFeel filename="TaharezGreenLook.looknfeel" />
+    <WindowRendererSet filename="CEGUICoreWindowRendererSet" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/StaticImage" renderer="Core/StaticImage" targetType="DefaultWindow" windowType="TaharezGreenLook/StaticImage" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/StaticText" renderer="Core/StaticText" targetType="DefaultWindow" windowType="TaharezGreenLook/StaticText" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/TabButtonPane" renderer="Core/Default" targetType="DefaultWindow" windowType="TaharezGreenLook/TabButtonPane" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/TabContentPane" renderer="Core/Default" targetType="DefaultWindow" windowType="TaharezGreenLook/TabContentPane" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Checkbox" renderer="Core/ToggleButton" targetType="CEGUI/ToggleButton" windowType="TaharezGreenLook/Checkbox" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Combobox" renderer="Core/Default" targetType="CEGUI/Combobox" windowType="TaharezGreenLook/Combobox" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/ComboDropList" renderer="Core/Listbox" targetType="CEGUI/ComboDropList" windowType="TaharezGreenLook/ComboDropList" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/ComboEditbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="TaharezGreenLook/ComboEditbox" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Editbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="TaharezGreenLook/Editbox" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/FrameWindow" renderer="Core/FrameWindow" targetType="CEGUI/FrameWindow" windowType="TaharezGreenLook/FrameWindow" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/GroupBox" renderer="Core/Default" targetType="CEGUI/GroupBox" windowType="TaharezGreenLook/GroupBox" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/ItemListbox" renderer="Core/ItemListbox" targetType="CEGUI/ItemListbox" windowType="TaharezGreenLook/ItemListbox" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/ListboxItem" renderer="Core/ItemEntry" targetType="CEGUI/ItemEntry" windowType="TaharezGreenLook/ListboxItem" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Listbox" renderer="Core/Listbox" targetType="CEGUI/Listbox" windowType="TaharezGreenLook/Listbox" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/ListHeader" renderer="Core/ListHeader" targetType="CEGUI/ListHeader" windowType="TaharezGreenLook/ListHeader" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/ListHeaderSegment" renderer="Core/ListHeaderSegment" targetType="CEGUI/ListHeaderSegment" windowType="TaharezGreenLook/ListHeaderSegment" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/MultiLineEditbox" renderer="Core/MultiLineEditbox" targetType="CEGUI/MultiLineEditbox" windowType="TaharezGreenLook/MultiLineEditbox" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Menubar" renderer="Core/Menubar" targetType="CEGUI/Menubar" windowType="TaharezGreenLook/Menubar" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/MenuItem" renderer="Core/MenuItem" targetType="CEGUI/MenuItem" windowType="TaharezGreenLook/MenuItem" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/MultiColumnList" renderer="Core/MultiColumnList" targetType="CEGUI/MultiColumnList" windowType="TaharezGreenLook/MultiColumnList" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/PopupMenu" renderer="Core/PopupMenu" targetType="CEGUI/PopupMenu" windowType="TaharezGreenLook/PopupMenu" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/ProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="TaharezGreenLook/ProgressBar" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="TaharezGreenLook/Button" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/ImageButton" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="TaharezGreenLook/ImageButton" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/RadioButton" renderer="Core/ToggleButton" targetType="CEGUI/RadioButton" windowType="TaharezGreenLook/RadioButton" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="TaharezGreenLook/SystemButton" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/ScrollablePane" renderer="Core/ScrollablePane" targetType="CEGUI/ScrollablePane" windowType="TaharezGreenLook/ScrollablePane" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/HorizontalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="TaharezGreenLook/HorizontalScrollbar" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/VerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="TaharezGreenLook/VerticalScrollbar" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Slider" renderer="Core/Slider" targetType="CEGUI/Slider" windowType="TaharezGreenLook/Slider" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Spinner" renderer="Core/Default" targetType="CEGUI/Spinner" windowType="TaharezGreenLook/Spinner" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/TabButton" renderer="Core/TabButton" targetType="CEGUI/TabButton" windowType="TaharezGreenLook/TabButton" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/TabControl" renderer="Core/TabControl" targetType="CEGUI/TabControl" windowType="TaharezGreenLook/TabControl" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/HorizontalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="TaharezGreenLook/HorizontalScrollbarThumb" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/SliderThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="TaharezGreenLook/SliderThumb" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/VerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="TaharezGreenLook/VerticalScrollbarThumb" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Titlebar" renderer="Core/Titlebar" targetType="CEGUI/Titlebar" windowType="TaharezGreenLook/Titlebar" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Tooltip" renderer="Core/Tooltip" targetType="CEGUI/Tooltip" windowType="TaharezGreenLook/Tooltip" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/Tree" renderer="Core/Tree" targetType="CEGUI/Tree" windowType="TaharezGreenLook/Tree" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/AltProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="TaharezGreenLook/AlternateProgressBar" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/VUMeter" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="TaharezGreenLook/VUMeter" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/LargeVerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="TaharezGreenLook/LargeVerticalScrollbar" />
+    <FalagardMapping lookNFeel="TaharezGreenLook/LargeVerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="TaharezGreenLook/LargeVerticalScrollbarThumb" />
 </GUIScheme>